Page MenuHomePhabricator

Provide a better default for wikis without a custom wordmark in Refreshed skin
Closed, ResolvedPublic

Description

Currently, when a wiki using the Refreshed skin doesn't write a custom wordmark at MediaWiki:Refreshed-this-wiki-wordmark, it'll show a border with the alt text inside it, where the border represents the area of the broken image.

Currently

SourceVisual

Suggested

The suggested option would be to display a plaintext default wordmark and also change the font-family of .header-button from "Lato body", sans-serif to "Lato", sans-serif". This option is less distracting as there's no border, as well as making it more legible for the front-end user since the browser doesn't have to render it's own pseudo-weight.

SourceVisual

Event Timeline

SamanthaNguyen moved this task from Backlog to Feedback on the Refreshed board.May 21 2017, 12:58 AM
SamanthaNguyen added a subscriber: MtMNC.

@MtMNC: If you have any time, would you be able to provide any design feedback on what you think would work best, or if you think the suggested solution to the problem works well enough? If you think this is OK, I'll submit a patch to the skin source code.

MtMNC added a comment.May 22 2017, 4:34 AM

That looks good to me, go for it. (BTW interesting styling you've done to the skin, it gives a Vector vibe.)

SamanthaNguyen removed SamanthaNguyen as the assignee of this task.Jun 30 2018, 8:49 PM
SamanthaNguyen removed a subscriber: SamanthaNguyen.
MtMNC closed this task as Resolved.Jan 11 2019, 6:21 PM
MtMNC claimed this task.

In v4 (currently on the refreshed4-beta branch) the default text is vertically centered and has no border. It is not written in Lato either, since Lato has been removed from the skin. Since that seems to cover the issues above, I'm marking this as resolved.